__all__ = 'APISchema'

from gm_meta_plugin.plugin_accessor import PluginAccessor


class APISchema(PluginAccessor):

    def __init__(self, plugin, job_definitions, project_definition_schema):
        PluginAccessor.__init__(self, plugin)
        self._job_definitions = job_definitions
        self._project_definition_schema = project_definition_schema

    def get_job_definitions(self):
        return self._job_definitions

    def get_job_definition_with_id(self, id):

        for job_definition in self.get_job_definitions():
            if job_definition.get_definition_id() == id:
                return job_definition

        raise ValueError("No job definition with id '" + id + "'")

    def get_project_definition_schema(self):
        return self._project_definition_schema
