__all__ = 'ApplicationAttributeSource'

from abc import abstractmethod


class ApplicationAttributeSource:

    def __init__(self, plugin):
        self._plugin = plugin

    def get_plugin(self):
        return self._plugin

    @abstractmethod
    def get_attribute_value(self, app, version, key):
        raise NotImplementedError

    @abstractmethod
    def get_enum_items(self, app, version, key):
        raise NotImplementedError

    def _get_enum_index(self, app, version, key, items):
        current_value = self.get_attribute_value(app, version, key)
        try:
            # convert the enum items list into a list of only the keys
            keys = map(lambda x: x.get_key(), items)

            # try to get the index of the currently selected key
            default_index = keys.index(current_value)
        except ValueError:
            # otherwise just use the first index
            default_index = 0

        return default_index
