__all__ = ['JobAttribute']


class JobAttribute:

    def __init__(self,
                 attribute,
                 attribute_group,
                 inference_sources,
                 skip):

        if inference_sources is None or len(inference_sources) < 1:
            raise ValueError("JobAttribute has no inference sources")

        self._attribute = attribute
        self._attribute_group = attribute_group
        self._inference_sources = inference_sources
        self._skip = skip

    def get_attribute(self):
        return self._attribute

    def get_attribute_group(self):
        return self._attribute_group

    def get_inference_sources(self):
        return self._inference_sources

    def set_inference_sources(self, inference_sources):
        self._inference_sources = inference_sources

    def get_default_inference_source(self):
        return self.get_inference_sources()[0]

    def get_skip(self):
        return self._skip
