__all__ = 'ComboBox'

from PySide2 import QtCore
from PySide2 import QtGui
from PySide2 import QtWidgets

from .input_widget import InputWidget
from gm_qt_plugin import qt_constants


class Constant(QtWidgets.QLineEdit, InputWidget):

    clicked = QtCore.Signal()
    doubleClicked = QtCore.Signal()

    def __init__(self, value, parent=None):
        QtWidgets.QLineEdit.__init__(self, unicode(value), parent=parent)
        self.setReadOnly(True)

    def mouseReleaseEvent(self, event):
        self.clicked.emit()

    def mouseDoubleClickEvent(self, event):
        self.doubleClicked.emit()

    def get_value(self):
        return self.text()

    def set_value(self, value):
        self.setText(value)
