__all__ = 'PluginUtils'

import gm_meta_plugin
from PySide2 import QtGui
from gm_maya_plugin import maya_utils

class PluginUtils(gm_meta_plugin.PluginUtils):

    def get_application_version(self):
        return maya_utils.get_maya_major_version()

    def get_sys_info(self):
        from plugin_fetcher import PluginFetcher
        import platform
        import os

        plugin = PluginFetcher.get_plugin()
        plugin_version = plugin.get_version()

        sys_info = "Operating System: " + platform.platform() + os.linesep
        sys_info += "Maya Version: " + self.get_application_version() + os.linesep
        sys_info += "Plugin Version: " + plugin_version.to_string()

        return sys_info

    def copy_to_clipboard(self, value):
        clipboard = QtGui.QGuiApplication.clipboard()
        clipboard.setText(value)
